Subject: Re: [PATCH 2/2] builtin/init-db: deprecate alias for git-init(1)

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Jun 2026 17:27:41 +0900

Patrick Steinhardt <[email-masked]> writes:

> I wouldn't mind that outcome much, either. What triggered this series is
> that I'm always annoyed that it's "builtin/init-db.c" instead of
> "builtin/init.c", and the same for `cmd_init_db()`. But I intentionally
> constructed the series in a way that the first commit can be picked
> as-is, so that we can adjust our code to the modern world while not
> doing the deprecation dance.
>
> So I'd be equally happy if we just drop the second commit in this
> series.

I'd actually find myself annoyed by such a rename when looking for
builtin/init-db.c only to find it gone---much like how a previous
rename made ll-merge difficult to locate.

My point is that while static names may annoy some, renaming them
does not resolve the annoyance; it merely shifts it to someone else.

So, if the primary motivation is just the first patch, I would be
less inclined to support this series.